# Home Buttons

**An open source device for controlling your smart home.**

Works seamlessly with *Home Assistant* and *ioBroker*

<!-- ![Home Buttons](assets/promo_1.jpeg){width="325"} -->

**Features:**

- 2.9" e-paper display
- 6 trigger buttons, multiple press support
- Wi-Fi connectivity
- Less than 1 second from button press to triggered action
<!-- - Temperature & humidity sensor -->
- Power options: Battery, USB-C, 5V DC
- Greater than 1 year battery life
- USB-A charging
<!-- - Compact size: 87 x 87 x 23 mm -->

---

## How It Works

**Always forgetting which button triggers which automation?**

<!-- ![How It Works](assets/promo_6.gif){width="325"} -->

With *Home Buttons* you can assign a short label to each button.

The device uses an e-paper display, which enables the labels to be shown permanently, without consuming any power.

The labels can be changed directly in *Home Assistant*. You also define what happens when a button is pressed in *Home Assistant*.

*Home Buttons* communicates with *Home Assistant* and *ioBroker* via the MQTT protocol on a local network. No cloud required.

<!-- Device's page in *Home Assistant*:

![Home Assistant Device Page](assets/home_assistant_device.png){width="500"}


---

## Where To Get

You can buy *Home Buttons* on [*Tindie*](https://www.tindie.com/products/plab/home-buttons/){:target="_blank"} or
[*Lectronz*](https://lectronz.com/products/home-buttons).

<a href="https://www.tindie.com/stores/plab/home-buttons/?ref=offsite_badges&utm_source=sellers_nplan&utm_medium=badges&utm_campaign=badge_medium"><img src="https://d2ss6ovg47m0r5.cloudfront.net/badges/tindie-mediums.png" alt="I sell on Tindie" width="150" height="78"></a>

<a href="https://lectronz.com/products/home-buttons-smart-home-controller"><img alt="I sell on Lectronz" src="https://lectronz.com/static/badges/i-sell-on-lectronz-medium.png" /></a> -->


---

## Getting Started

Set up you device with the help of [Getting Started](setup.md) guide.

---

## License

- The software is **open source** and licensed under the GNU GPLv3.  
- The hardware is **open source** and licensed under the CERN-OHL-S-2.0.